#ifndef _RATECONN_H_
#define _RATECONN_H_

#include <map>
#include <deque>
#include <string>


typedef std::map<std::string, int> counterMap_t;
typedef std::deque<counterMap_t> countersDeque_t;


class RateconnCheck {
public:
	RateconnCheck();
	void moveChain();
	void printAll();
	int check(const std::string& input);
	~RateconnCheck();


private:
	const static int numOfBuckets = 10;
	countersDeque_t m_countersDeque;
	

};


#endif // _RATECONN_H_
